#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dhall
version:              1.41.2
visibility:           public
id:                   dhall-1.41.2-IkX3KwdK25UpSHb7hHKUi
key:                  dhall-1.41.2-IkX3KwdK25UpSHb7hHKUi
license:              BSD-3-Clause
copyright:            2017 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  2293767233024e96627cf5ccfc9d6760
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics Dhall.Parser
    Dhall.Parser.Expression Dhall.Parser.Token Dhall.Pretty Dhall.Repl
    Dhall.Schemas Dhall.Set Dhall.Src Dhall.Substitution Dhall.TH
    Dhall.Tags Dhall.Tutorial Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.Eval Dhall.Import.Types Dhall.Import.Headers
    Dhall.Marshal.Internal Dhall.Normalize Dhall.Parser.Combinators
    Dhall.Pretty.Internal Dhall.Syntax Dhall.URL Paths_dhall
    Dhall.Import.HTTP Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dhall-1.41.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dhall-1.41.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.41.2-IkX3KwdK25UpSHb7hHKUi
depends:
    Diff-0.4.1-5IYkJm3rOdSDe9F8cIvDNy
    aeson-2.1.2.1-GnWfeeQpoVOBig4HoIDDG9
    aeson-pretty-0.8.9-GNfD8WLLZDCHG7KmnDfNhy
    ansi-terminal-0.11.4-30w7KBHfEQ9CygddjSQvBk
    atomic-write-0.2.0.7-It9thgP6o4j9YRugcmmPn5 base-4.15.1.0
    base16-bytestring-1.0.2.0-StXPox1nBc3AK3ZKrNsOT
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-6HwZPMiOaK97nwlWoHY1Gb
    cborg-0.2.9.0-L5mu9HkT0WP5hqLBauNOuo
    cborg-json-0.2.5.0-37VjSPWKwzQEKYflCpswIw containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    cryptohash-sha256-0.11.102.1-7moc64Zves5LTh2DXAahCD
    data-fix-0.3.2-4hLlxCdr5ZDBMW8kumjKIb deepseq-1.4.5.0
    directory-1.3.6.2 dotgen-0.4.3-JbRUtf7kscIJibZz2RQNw
    either-5.0.2-f6mWRtyLfx7w55RXUZbfT exceptions-0.10.4
    filepath-1.4.2.1 half-0.3.1-Aj2eTs50WJlAaqPHUNSyDs
    hashable-1.4.2.0-8EyZ5q0qf6V2oPuIX4Sz4t haskeline-0.8.2
    http-client-0.7.13.1-Gj417FM17Ni1Q4gPPpeZwd
    http-client-tls-0.3.6.3-HXhdKXsa1tWCCT1yC2Jzd5
    http-types-0.12.3-7JGGnEsHa6Z5SeBt4R3BBh
    indexed-traversable-0.1.2.1-JwIQVWOpW67GVSWDdLo884
    lens-family-core-2.1.2-JgL24qTIUymKZLaMFOVhTK
    megaparsec-9.3.1-IWI1dH4mt6F3pwop8h1c0m
    mmorph-1.2.0-2iQgHTViuScASaZTADZaI1 mtl-2.2.2
    network-uri-2.6.4.2-D2bGZQuzSwYpWAxWMaWpm
    optparse-applicative-0.17.0.0-1t7fxkFVvXn4R1Ycov0fb
    parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB
    parsers-0.12.11-57cegtwwQkA8y1BQOvjmza
    pretty-simple-4.1.2.0-9I9yw6uuA5GBkkM20EfHpG
    prettyprinter-1.7.1-1IylnyGZUUkK1Hq1ELoEBg
    prettyprinter-ansi-terminal-1.1.3-2K6i3cGyxgcC6Y1kmMbkTj
    profunctors-5.6.2-Gj0W4tADtDY3y9CgSabCDz
    repline-0.4.2.0-AbdnKl4MT5R8rpoSYZ99OS
    scientific-0.3.7.0-AejKlNxs4tarEm4tm38IP
    serialise-0.2.6.0-LwB6bLHxxt9HV8JnqpB4Z template-haskell-2.17.0.0
    text-1.2.5.0 text-manipulate-0.3.1.0-BBkdPGhxGiYFSFA2bQNPNC
    text-short-0.1.5-IcXUJUoP6oe2fjFjCH1e9w
    th-lift-instances-0.1.20-DLBrisMOryd8T2YJSIyW4z time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-4LWMSZiig8M6j2saT8CDNm
    uri-encode-1.5.0.7-CyW3X5IDLLd3K1435C0z0n
    vector-0.13.0.0-DcAY6cFNWmp2QJjfa2GrVo

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

